// ELRDCHK: checks periodicly if the NLM's VREPAIR.NLM and
//          ELRDFIX.NLM are loaded at the same time.
// If so: generate an error, because using VREPAIR while ELRDFIX
// is loaded will corrupt the volume.
//
// (c) 1992 Cyco Automation, the Netherlands.
//     Created by bart mellink, july 92
//
// Part of the PUBLIC DOMAIN as long as the copyright notice stays in place.

#include "stdio.h"
#include "conio.h"
#include "string.h"
#include "direct.h"
#include <stddef.h>
#include <time.h>
#include <process.h>

// RingTheBell is not a standard CLIB function, but is a direct OS
// function. Use an IMPORT directive in the link file to define it.
void RingTheBell(void);

void Checkfunc(void *p) {
// This routine will loop indefinite as separate thread.
// This will be done every 5 seconds, so there will be almost no
// performance degradation.
	while (TRUE) {
		if (FindNLMHandle("VREPAIR.NLM") &&
			FindNLMHandle("ELRDFIX.NLM")) {
			cprintf("ELRDCHK warning: VREPAIR loaded while ELRDFIX is loaded.\n\r");
			cprintf("This could cause volume corruption!! Please unload ELRDFIX.\n\r");
			RingTheBell();
		}
		delay(5000);
	}
}

void main(void) {
	cprintf("  ELRDCHK: check for loading VREPAIR while ELRDFIX is active.\n\r");
	BeginThread(Checkfunc, NULL, 4096, "");
	ExitThread(TSR_THREAD,0);
}
