# This makefile rebuilds the NetWare Loadable Module
#
# Created:  July 21, 1992 (bm)
#
# MAKEINIT defines many of the macros used herein
# The following macros can be set via your environment:
#   CCF386 : Set compile options
#   QMKVER : Set to 'd' or 'p' to define VERSION
#   SILENT : If defined, .SILENT will be set

!ifdef %SILENT
.silent
!endif

# ----------------------- Cyco Program dependencies !!!! ----------------
program = elrdchk
progversion = 1.10

# define following varable if it is an Cyco program
cycoprog=yes

# define the console variable if it should be a console program (no screen)
console = yes

# ----------------------- End of program dependencies ------------------

!ifndef %qmkver
version = p                         # use 'd' or 'p' here for DEBUG
!else
version = $(%qmkver)
!endif
!ifeq version d
lversion = DEBUG
!else
lversion = PRODUCTION
!endif

build_msg = Building a $(lversion) version of $(program)

d_linkopt = debug all debug novell
p_linkopt = debug
x_linkopt = $($(version)_linkopt)

debug = /dDEBUG      # use /dDEBUG to define DEBUG for C Preprocessor

!ifndef %ccf386
d_wcc386opt = /w4 /e99 /zp1 /3s /d2 /zl $(debug)
p_wcc386opt = /w4 /s /zp1 /3s /oax /zl
x_wcc386opt = $($(version)_wcc386opt)
!else
x_wcc386opt = $(%ccf386)
!endif

compiler_cmd = $(wcc386) $(x_wcc386opt) $[*.c

.BEFORE
    echo $(build_msg)
    set inc386=$(inc_386)
    set wcg386=$(code_386)

.c.obj:
        $(compiler_cmd)

$(program).nlm : $(program).obj $(program).lnk
        $(linker) @$(program)

$(program).lnk : $(program).mak
  @echo form    novell nlm '$(program)'           >$^&.lnk
  @echo name    $^&                              >>$^&.lnk
!ifdef cycoprog
  @echo option  copyright '(c) 1992 Cyco Automation (bm)' >>$^&.lnk
!endif
  @echo option  stack=8k                         >>$^&.lnk
  @echo option  caseexact, verbose, nod          >>$^&.lnk
  @echo option  version=$(progversion)           >>$^&.lnk
  @echo $(x_linkopt)                             >>$^&.lnk
  @echo option  map                              >>$^&.lnk
  @echo file $(startup), $^&                     >>$^&.lnk
  @echo module clib                              >>$^&.lnk
!ifdef console
  @echo option screenname 'Default'           >>$^&.lnk
!else
  @echo option screenname '$(program)'           >>$^&.lnk
!endif
  @echo option threadname '$(program)'           >>$^&.lnk
  @echo import @$(clibimp)                       >>$^&.lnk
  @echo import RingTheBell                       >>$^&.lnk

$(program).obj : $(program).c
